curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/phenotypes/coding-variantsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/phenotypes/coding-variants"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/phenotypes/coding-variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"score": 123,
"source": "<string>",
"source_url": "<string>",
"coding_variant": {
"_id": "<string>",
"aapos": 123,
"hgvsp": "<string>",
"protein_name": "<string>",
"gene_name": "<string>",
"ref": "<string>",
"alt": "<string>"
},
"phenotype": {
"phenotype_id": "<string>",
"phenotype_name": "<string>"
},
"method": "<string>",
"class": "<string>",
"label": "<string>",
"files_filesets": "<string>",
"variant": {
"chr": "<string>",
"pos": 123,
"ref": "<string>",
"alt": "<string>",
"rsid": [
"<string>"
],
"spdi": "<string>",
"hgvs": "<string>",
"ca_id": "<string>",
"_id": "<string>"
}
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Phenotypes Coding Variants
Retrieve coding variants associated with the query phenotype.
The limit parameter controls the page size and can not exceed 100.
Pagination is 0-based.
Examples by method
These examples are grouped by method; use the method filter to return data from a specific method.
DUAL-IPA:
query by phenotype identifier
- phenotype_id = BAO_0040014
- method = DUAL-IPA
query by files_fileset
Each files_fileset maps to at most one method, so a method filter is usually not necessary.
- files_fileset = IGVFFI6224HZMG
- method = DUAL-IPA
ESM-1v:
query by phenotype identifier
- phenotype_id = GO_0003674
- method = ESM-1v
query by files_fileset
Each files_fileset maps to at most one method, so a method filter is usually not necessary.
- files_fileset = IGVFFI8105TNNO
- method = ESM-1v
MutPred2:
query by phenotype identifier
- phenotype_id = GO_0003674
- method = MutPred2
query by files_fileset
Each files_fileset maps to at most one method, so a method filter is usually not necessary.
- files_fileset = IGVFFI6893ZOAA
- method = MutPred2
SGE:
query by phenotype identifier
- phenotype_id = NCIT_C16407
- method = SGE
query by files_fileset
Each files_fileset maps to at most one method, so a method filter is usually not necessary.
- files_fileset = IGVFFI2810SLAX
- method = SGE
VAMP-seq:
query by phenotype identifier
- phenotype_id = OBA_0000128
- method = VAMP-seq
query by files_fileset
Each files_fileset maps to at most one method, so a method filter is usually not necessary.
- files_fileset = IGVFFI0629IIQU
- method = VAMP-seq
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/phenotypes/coding-variantsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/phenotypes/coding-variants"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/phenotypes/coding-variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"score": 123,
"source": "<string>",
"source_url": "<string>",
"coding_variant": {
"_id": "<string>",
"aapos": 123,
"hgvsp": "<string>",
"protein_name": "<string>",
"gene_name": "<string>",
"ref": "<string>",
"alt": "<string>"
},
"phenotype": {
"phenotype_id": "<string>",
"phenotype_name": "<string>"
},
"method": "<string>",
"class": "<string>",
"label": "<string>",
"files_filesets": "<string>",
"variant": {
"chr": "<string>",
"pos": 123,
"ref": "<string>",
"alt": "<string>",
"rsid": [
"<string>"
],
"spdi": "<string>",
"hgvs": "<string>",
"ca_id": "<string>",
"_id": "<string>"
}
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
DUAL-IPA, ESM-1v, MutPred2, SGE, VAMP-seq Response
Successful response